sasl_getsecret_t(10 July 2001)

NAME
sasl_getsecret_t - The SASL callback for secrets (passwords)

SYNOPSIS
#include <sasl/sasl.h>

int sasl_getsecret_t(sasl_conn_t *conn,
                     void *context,
		          int id,
		          sasl_secret_t ** psecret);

DESCRIPTION
sasl_getsecret_t is used to retrieve the secret from the application. A sasl_secret_t should be allocated to length sizeof(sasl_secret_t)+<length of secret>. It has two fields len which is the length of the secret in bytes and data which contains the secret itself (does not need to be null terminated).

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3)